diff -r c32b3d10c56b lib-src/make-mswin-unicode.pl
--- a/lib-src/make-mswin-unicode.pl	Sat Apr 26 16:28:44 2008 +0200
+++ b/lib-src/make-mswin-unicode.pl	Wed May 14 10:02:09 2008 +0200
@@ -104,7 +104,7 @@ my ($cout, $hout, $dir) = ($options{"c-o
                           $options{"includedir"});
 if (!$dir)
   {
-    $dir=$ENV{"MSVCDIR"} or die "Environment variable MSVCDIR undefined - run vcvars32.bat from your MSVC installation";
+    $dir=$ENV{"WindowsSdkDir"} or die "Environment variable MSVCDIR undefined - run vcvars32.bat from your MSVC installation";
     $dir.='/include';
   }
 die "Can't find MSVC include files in \"$dir\"" unless ((-f $dir.'/WINDOWS.H') || (-f $dir.'/windows.h'));
diff -r c32b3d10c56b nt/xemacs.mak
--- a/nt/xemacs.mak	Sat Apr 26 16:28:44 2008 +0200
+++ b/nt/xemacs.mak	Wed May 14 10:02:09 2008 +0200
@@ -794,7 +794,7 @@ INCLUDES=-I$(NT)\inc -I$(SRC) $(OPT_INCL
 INCLUDES=-I$(NT)\inc -I$(SRC) $(OPT_INCLUDES)
 
 DEFINES=$(OPT_DEFINES) \
-	-DWIN32_LEAN_AND_MEAN -DWIN32_NATIVE -Demacs \
+	-DWIN32_LEAN_AND_MEAN -DWIN32_NATIVE -Demacs -DNTDDI_VERSION=NTDDI_WIN2K -D_WIN32_WINNT=_WIN32_WINNT_WIN2K \
 	-DHAVE_CONFIG_H $(PROGRAM_DEFINES) $(PATH_DEFINES)
 
 CFLAGS_NO_OPT=-nologo -W3 -DSTRICT $(DEBUG_FLAGS_COMPILE)
diff -r c32b3d10c56b src/intl-auto-encap-win32.c
--- a/src/intl-auto-encap-win32.c	Sat Apr 26 16:28:44 2008 +0200
+++ b/src/intl-auto-encap-win32.c	Wed May 14 10:02:09 2008 +0200
@@ -1998,9 +1998,9 @@ qxeReadConsole (HANDLE hConsoleInput, LP
 qxeReadConsole (HANDLE hConsoleInput, LPVOID lpBuffer, DWORD nNumberOfCharsToRead, LPDWORD lpNumberOfCharsRead, LPVOID lpReserved)
 {
   if (XEUNICODE_P)
-    return ReadConsoleW (hConsoleInput, lpBuffer, nNumberOfCharsToRead, lpNumberOfCharsRead, lpReserved);
-  else
-    return ReadConsoleA (hConsoleInput, lpBuffer, nNumberOfCharsToRead, lpNumberOfCharsRead, lpReserved);
+    return ReadConsoleW (hConsoleInput, lpBuffer, nNumberOfCharsToRead, lpNumberOfCharsRead, (PCONSOLE_READCONSOLE_CONTROL)lpReserved);
+  else
+    return ReadConsoleA (hConsoleInput, lpBuffer, nNumberOfCharsToRead, lpNumberOfCharsRead, (PCONSOLE_READCONSOLE_CONTROL)lpReserved);
 }
 
 BOOL
